PROGRAM_NAME = 'Testbench_Vision_HDbitT'
(************************************************************************************************)
(*  FILE REVISION: Rev 1.0.0                                                                    *)
(*  REVISION DATE: 19/09/2018  AT: 10:00:00                                                     *)
(*                                                                                              *)
(*  COMMENTS:                                                                                   *)
(*   To view this code correctly, set your NetLinx Studio settings as follows:                  *)
(*   Settings/Preferences/Editor - Display and Indentations                                     *)
(*    Set tab stops every 2 characters                                                          *)
(*    Indent before text with 2 characters                                                      *)
(*                                                                                              *)
(*   This module was written for Vision (Audio Visual) by AT Controls Pty Ltd.                  *)
(*   Vision (Audio Visual) own the Intellectual Property of this module.                        *)
(************************************************************************************************)
(* System Type : NetLinx                                                                        *)
(************************************************************************************************)
//     _  _____     ___            _             _
//    /_\/__   \   / __\___  _ __ | |_ _ __ ___ | |___
//   //_\\ / /\/  / /  / _ \| '_ \| __| '__/ _ \| / __|
//  /  _  \ /    / /___ (_) | | | | |_| | | (_) | \__ \
//  \_/ \_\/     \____/\___/|_| |_|\__|_|  \___/|_|___/
//
//  Program by AT Controls Pty Ltd
//             www.atcontrols.com.au
//             Phone 02 8014 8440
//
// AT Controls Pty Ltd LICENSE AGREEMENT
// By using the software included with this End-User License Agreement ("EULA"), you ("Licensee") agree to be bound by, and AT Controls Pty Ltd shall be entitled to enforce, this AT Controls Pty Ltd License Agreement ("Agreement"). IF YOU DO NOT AGREE, DO NOT USE THE SOFTWARE, YOU MAY RETURN IT TO AT Controls Pty Ltd FOR A FULL REFUND.
// 1. LICENSE GRANT.  AT Controls Pty Ltd grants to Licensee the non-exclusive right to use the AT Controls Pty Ltd Software in the manner described in this License.  This license does not grant Licensee the right to create derivative works of the AT Controls Pty Ltd Software.  The AT Controls Pty Ltd Software consists of programming and development software, product documentation, sample applications, tools and utilities, and miscellaneous technical information. The AT Controls Pty Ltd Software is subject to restriction on distribution described in this License Agreement.  YOU MAY NOT SUBLICENSE, RENT OR LEASE THE AT Controls Pty Ltd SOFTWARE.  You may only use the AT Controls Pty Ltd Software for its intended purpose.  You may not reverse engineer, decompile, or disassemble the AT Controls Pty Ltd Software.
// 2. INTELLECTUAL PROPERTY.  The AT Controls Pty Ltd Software is owned, by AT Controls Pty Ltd and is protected by Australian copyright laws, patent laws, international treaty provisions, and/or state of NSW trade secret laws.  Licensee may make copies of the AT Controls Pty Ltd Software solely for backup or archival purposes.  Licensee may not copy any written materials accompanying the AT Controls Pty Ltd Software. The Software is licensed, not sold.
// 3. TERMINATION.  AT Controls Pty Ltd RESERVES THE RIGHT, IN ITS SOLE DISCRETION, TO TERMINATE THIS LICENSE FOR ANY REASON AND UPON WRITTEN NOTICE TO LICENSEE.  In the event that AT Controls Pty Ltd terminates this License, then Licensee shall return all copies of the AT Controls Pty Ltd Software to AT Controls Pty Ltd and certify in writing that all copies have been destroyed.
// 4. PRE-RELEASE CODE.  Portions of the AT Controls Pty Ltd Software may, from time to time, as identified in the AT Controls Pty Ltd Software, include PRE-RELEASE CODE and such code may not be at the level of performance, compatibility, and functionality of final code. THE PRE-RELEASE CODE may not operate correctly and may be substantially modified prior to final release or certain features may not be generally released.  AT Controls Pty Ltd is not obligated to make or support any PRE-RELEASE CODE.  ALL PRE-RELEASE CODE IS PROVIDED "AS IS" WITH NO WARRANTIES.
// 5. LIMITED WARRANTY.  AT Controls Pty Ltd warrants that the AT Controls Pty Ltd Software will perform substantially in accordance with any accompanying written materials for a period of 90 days from the date of receipt.  AT Controls Pty Ltd DISCLAIMS ALL OTHER WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WITH REGARD TO THE AT Controls Pty Ltd SOFTWARE.  THE LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS.
// 6. LICENSEE REMEDIES.  AT Controls Pty Ltd's entire liability and your exclusive remedy shall be repair or replacement of the AT Controls Pty Ltd Software that does not meet AT Controls Pty Ltd's Limited Warranty and which is returned to AT Controls Pty Ltd.  The Limited Warranty is void if failure of the AT Controls Pty Ltd Software has resulted from accident, abuse, or misapplication.  Any replacement AT Controls Pty Ltd Software will be warranted for the remainder of the original warranty period or 30 days, whichever is longer.  Outside of Australia, these remedies may not be available.
// 7. NO LIABILITY FOR CONSEQUENTIAL DAMAGES.  IN NO EVENT SHALL AT Controls Pty Ltd BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR THE INABILITY TO USE THIS AT Controls Pty Ltd PRODUCT, EVEN IF AT Controls Pty Ltd HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.  BECAUSE SOME STATES/COUNTRIES DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.
// This Agreement is governed by the laws of the State of NSW and Australia, and all disputes will be resolved in the courts of Australia.
//

(************************************************************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW                                                  *)
(************************************************************************************************)
DEFINE_DEVICE

dvReal     				=     0:2:0                    																								// Real IP Device (IP Socket)
dvServer  				=			0:3:0

vdvVision 				= 32768:1:0                    																								// Virtual device for the Module

(************************************************************************************************)
(*            VARIABLES DEFINITIONS GO BELOW                                                    *)
(************************************************************************************************)
DEFINE_VARIABLE

volatile	integer	          nIPPort = 9001

volatile	dev               dvTPSwitcher[] =                   																	// The Array of User Interfaces for the Module
{
	10001:3:0
}  

(************************************************************************************************)
(*                MODULE DEFINITIONS GO BELOW                                                   *)
(************************************************************************************************)
DEFINE_MODULE 'Vision_HDbitT_ar_v1_0_0'	mldVision (dvReal, vdvVision, dvServer, dvTPSwitcher)  	// Sample of the Module include coding

(************************************************************************************************)
(*                STARTUP CODE GOES BELOW                                                       *)
(************************************************************************************************)
DEFINE_START

(************************************************************************************************)
(*                EVENT CODE GOES BELOW                                                         *)
(************************************************************************************************)
DEFINE_EVENT

DATA_EVENT [vdvVision]
{
	ONLINE:
	{
		send_command vdvVision, "'PROPERTY-IP_ADDRESS,10.1.1.49'"
		send_command vdvVision, "'PROPERTY-IP_PORT,',itoa(nIPPort)"                                 // The port for this communication is #### (default=9001)
		//send_command vdvVision, "'PASSBACK-ON'"                                                     // ON=All received packets will be sent to Glue code
	}
}